Skip to main content
GET
/
admin
/
certificates
/
{certificateID}
Get Certificate
curl --request GET \
  --url https://api.tenbyte.com/v1/admin/certificates/{certificateID} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "created_at": "2025-08-27T18:12:05.529492Z",
    "valid_from": "2025-01-18T00:00:00Z",
    "updated_at": "2025-08-27T18:12:05.529492Z",
    "common_name": "*.gpcdn.net",
    "version": "3",
    "serial_number": "11005127045724610177194791552997822224",
    "issuer": "Sectigo RSA Domain Validation Secure Server CA",
    "valid_to": "2026-02-01T23:59:59Z",
    "name": "Test",
    "id": "12324552-d11e-4bfd-8818-f178b8d241a6",
    "status": "active",
    "type": "custom",
    "subject_alternative_names": [
      "*.gpcdn.net",
      "gpcdn.net"
    ],
    "renewal_days_before": 0,
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "auto_renew": false
  },
  "message": "SSL certificate retrieved successfully.",
  "success": true
}

Authorizations

X-API-Key
string
header
required

Path Parameters

certificateID
string
required

Response

200 - application/json

The response is of type object.